Zuplo Developer API

A Manager is an object representing a group of managers in a given consumer. This section includes a group of endpoints available to perform operations on a manager. You can learn more about consumer managers here.


Lists managers

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers

Lists all managers belonging to a consumer.

Lists managers › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

consumerName
​string · required

The name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.

Lists managers › query Parameters

limit
​integer · min: 1 · max: 1000 · required

The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used. Default: 1000

offset
​integer · min: 0 · required

The offset of the first item returned in the collection. Default: 0

Lists managers › Responses

The request has succeeded.

​Zuplo.ApiKeys.Manager[] · required
limit
​integer · uint32
offset
​integer · uint32
total
​integer · uint32

Creates a manager

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers

Creates a new manager for a consumer.

Creates a manager › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

consumerName
​string · required

The name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.

Creates a manager › Request Body

email
​string · required

The email address of the manager

sub
​string · required

The sub of the manager in the identity provider

Creates a manager › Responses

The request has succeeded.

Managers are users that have access to a consumer. Managers can be added directly to a consumer (using email and sub) or invited (using only email) to a consumer.
email
​string · required

The email address of the manager

sub
​string · required

The sub of the manager in the identity provider


Deletes a manager

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/key-buckets/{bucketName}/consumers/{consumerName}/managers/{managerId}

Deletes a manager record

Deletes a manager › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

bucketName
​string · required

The name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.

consumerName
​string · required

The name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.

managerId
​string · required

The manager id

Deletes a manager › Responses

There is no content to send for this request, but the headers may be useful.

No data returned